package ui
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldType;
	import flash.filters.GlowFilter;
	import flash.filters.BitmapFilterQuality;
	
	/**
	 * ...
	 * @author Wuthrer
	 */
	public class QTE_DisplayManager extends MovieClip 
	{
		
		private var tf_p1:TextField = new TextField;
		private var tf_p2:TextField = new TextField;
		/// Jaune pour p1 et rouge pour 2
		private var txt_format_p1:TextFormat;
		private var txt_format_p2:TextFormat;
		var outline:GlowFilter=new GlowFilter(0x000000,1.0,5.0,5.0,10);
		
		private var _qte_spam_p1;
		private var _qte_spam_p2;
		
		public function QTE_DisplayManager():void {
			addEventListener(Event.ADDED_TO_STAGE, init, false, 0, false);
		}
		
		public function init(e:Event):void {
			removeEventListener(Event.ADDED_TO_STAGE, init);
			/// Centrage de l'affichage
			x = 400;
			y = 300;
			
			/// On va chercher les anims spéciales des QTE SPAM
			for (var i:int = 0 ; i < numChildren ; i++)
			{
				if (getChildAt(i).name == 'QTE_Spam_p1')
				{
					_qte_spam_p1 = getChildAt(i);
					_qte_spam_p1.visible = false;
				}
				else if (getChildAt(i).name == 'QTE_Spam_p2')
				{
					_qte_spam_p2 = getChildAt(i);
					_qte_spam_p2.visible = false;
				}
			}
			
			
			/// Ajout des champs de texte pour la p2
			addChild(tf_p1);
			addChild(tf_p2);

			tf_p1.text = "Player 1";
			tf_p1.width = 200;
			tf_p1.x = -350;
			tf_p1.y = -250;
			
			tf_p2.text = "Player 2";
			tf_p2.width = 200;
			tf_p2.x = 150;
			tf_p2.y = -250;

			tf_p1.type = TextFieldType.INPUT;
			tf_p2.type = TextFieldType.INPUT;


			//Formattage
			txt_format_p1 = new TextFormat();
			txt_format_p2 = new TextFormat();
			
			txt_format_p2.font = 'Impact';
			txt_format_p1.font = 'Impact';
			txt_format_p2.color = 0xFF0000; 
			txt_format_p1.color = 0xFFFF00;
			txt_format_p1.size = 60;
			txt_format_p2.size = 60;
			
			tf_p1.setTextFormat(txt_format_p1);
			tf_p2.setTextFormat(txt_format_p2);
			
			outline.quality=BitmapFilterQuality.MEDIUM;
			tf_p1.filters=[outline];
			tf_p2.filters=[outline];
		}
		
		/// Pour la p2, met à jour l'affichage selon la touche à appuyer
		public function set_tf(WhichPlayer:int, KeyToPress:String):void {
			switch (WhichPlayer)
			{
				case 1:
					tf_p1.text = KeyToPress;
					tf_p1.setTextFormat(txt_format_p1);
					break;
				case 2:
					tf_p2.text = KeyToPress;
					tf_p2.setTextFormat(txt_format_p2);
					break;
			}
		}
		
		/// Pour la p4, met à jour l'affichage selon la touche à spammer
		public function set_spam(WhichPlayer:int, KeyToPress:String):void 
		{
			switch (WhichPlayer)
			{
				case 1:
					_qte_spam_p1.getChildAt(0).text = KeyToPress;
					//tf_p1.setTextFormat(myFormat);
					break;
				case 2:
					_qte_spam_p2.getChildAt(0).text = KeyToPress;
					//tf_p2.setTextFormat(myFormat);
					break;
			}
		}
		
		public function is_QTE_VisibleOrNo(YesOrNo:Boolean)
		{
			switch (YesOrNo)
			{
				case true:
					tf_p1.visible = true;
					tf_p2.visible = true;
					//setChildIndex(_qte_spam_p1, numChildren);
					//tf_p1.setTextFormat(myFormat);
					break;
				case false:
					tf_p1.visible = false;
					tf_p2.visible = false;
					//setChildIndex(_qte_spam_p2, numChildren);
					//tf_p2.setTextFormat(myFormat);
					break;
			}
		}
		
		public function is_SPAM_VisibleOrNo(YesOrNo:Boolean)
		{
			switch (YesOrNo)
			{
				case true:
					_qte_spam_p1.visible = true;
					_qte_spam_p2.visible = true;
					break;
				case false:
					_qte_spam_p1.visible = false;
					_qte_spam_p2.visible = false;
					break;
			}
		}
		
	}
	
}