package ui {
	
	import flash.display.MovieClip;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Wuthrer
	 */
	public class LolBar_DisplayManager extends MovieClip 
	{
		private var _stage;
		
		private var _lolBar_BG;
		private var _lolBar_CURSOR;
		
		public function LolBar_DisplayManager():void {
			addEventListener(Event.ADDED_TO_STAGE, init, false, 0, false);
		}
		
		private function init(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			//entry point
			//Positionnage du container
			var _ui_manager = this.parent;
			_stage = _ui_manager._stage;
			x = _stage.stageWidth / 2;
			y = (_stage.stageHeight / 2) + 150;
	
			//Récup des éléments dans le containeur
			for (var i:int = 0 ; i < numChildren ; i++)
			{
				var _objet = getChildAt(i);
				var _objet_name = _objet.name;
				
				switch (_objet_name)
				{
					case 'LolBar_BG' :
						_lolBar_BG = _objet;
						break;
					case 'LolBar_CURSOR' :
						_lolBar_CURSOR = _objet;
						break;
					default :
						break;
				}
				
			}
		}
		
		public function Adjust_cursor(CurrentScore:Number):void {
			_lolBar_CURSOR.x = CurrentScore;
		}
		
		public function Set_cursor_position(Position:Number):void
		{
			_lolBar_CURSOR.x = Position;
		}
		
		public function Anim_Cursor(Frame:int):void {
			if (Frame == 1)
			{
				_lolBar_CURSOR.gotoAndStop(Frame);
			}
			else
			{
				_lolBar_CURSOR.gotoAndPlay(Frame);
			}
		}
	}
	
}